Mandrake Linux Security Advisory : eggdrop (MDKSA-2007:175)

Medium Nessus Plugin ID 26007


The remote Mandrake Linux host is missing a security update.


A stack-based buffer overflow in mod/server.mod/servrmsg.c in Eggdrop 1.6.18, and possibly earlier, allows user-assisted, malicious remote IRC servers to execute arbitrary code via a long private message.

Updated packages fix this issue.


Update the affected eggdrop package.

Plugin Details

Severity: Medium

ID: 26007

File Name: mandrake_MDKSA-2007-175.nasl

Version: $Revision: 1.14 $

Type: local

Published: 2007/09/07

Modified: 2015/03/30

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Temporal Score: 5.9

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:eggdrop, cpe:/o:mandriva:linux:2007, cpe:/o:mandriva:linux:2007.1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2007/09/06

Reference Information

CVE: CVE-2007-2807

BID: 24070

MDKSA: 2007:175